USN-4650-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-4650-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-4650-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-4650-1
Related
Published
2020-11-30T12:25:14.002634Z
Modified
2020-11-30T12:25:14.002634Z
Summary
qemu vulnerabilities
Details

Alexander Bulekov discovered that QEMU incorrectly handled SDHCI device emulation. An attacker inside the guest could use this issue to cause QEMU to crash, resulting in a denial of service, or possibly execute arbitrary code on the host. In the default installation, when QEMU is used with libvirt, attackers would be isolated by the libvirt AppArmor profile. (CVE-2020-17380)

Sergej Schumilo, Cornelius Aschermann, and Simon Wrner discovered that QEMU incorrectly handled USB device emulation. An attacker inside the guest could use this issue to cause QEMU to crash, resulting in a denial of service. (CVE-2020-25084)

Sergej Schumilo, Cornelius Aschermann, and Simon Wrner discovered that QEMU incorrectly handled SDHCI device emulation. An attacker inside the guest could use this issue to cause QEMU to crash, resulting in a denial of service. (CVE-2020-25085)

Gaoning Pan, Yongkang Jia, and Yi Ren discovered that QEMU incorrectly handled USB device emulation. An attacker inside the guest could use this issue to cause QEMU to crash, resulting in a denial of service. (CVE-2020-25624)

It was discovered that QEMU incorrectly handled USB device emulation. An attacker inside the guest could use this issue to cause QEMU to hang, resulting in a denial of service. (CVE-2020-25625)

Cheolwoo Myung discovered that QEMU incorrectly handled USB device emulation. An attacker inside the guest could use this issue to cause QEMU to crash, resulting in a denial of service. (CVE-2020-25723)

Gaoning Pan discovered that QEMU incorrectly handled ATI graphics device emulation. An attacker inside the guest could use this issue to cause QEMU to crash, resulting in a denial of service. This issue only affected Ubuntu 20.04 LTS and Ubuntu 20.10. (CVE-2020-27616)

Gaoning Pan discovered that QEMU incorrectly handled networking. An attacker inside the guest could use this issue to cause QEMU to crash, resulting in a denial of service. (CVE-2020-27617)

References

Affected packages

Ubuntu:18.04:LTS / qemu

Package

Name
qemu

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1:2.11+dfsg-1ubuntu7.34

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "qemu-system-misc": "1:2.11+dfsg-1ubuntu7.34",
            "qemu-system": "1:2.11+dfsg-1ubuntu7.34",
            "qemu-guest-agent": "1:2.11+dfsg-1ubuntu7.34",
            "qemu-utils": "1:2.11+dfsg-1ubuntu7.34",
            "qemu-user": "1:2.11+dfsg-1ubuntu7.34",
            "qemu-kvm": "1:2.11+dfsg-1ubuntu7.34",
            "qemu-block-extra": "1:2.11+dfsg-1ubuntu7.34",
            "qemu-user-static": "1:2.11+dfsg-1ubuntu7.34",
            "qemu-system-arm": "1:2.11+dfsg-1ubuntu7.34",
            "qemu-system-x86": "1:2.11+dfsg-1ubuntu7.34",
            "qemu-system-ppc": "1:2.11+dfsg-1ubuntu7.34",
            "qemu-system-s390x": "1:2.11+dfsg-1ubuntu7.34",
            "qemu": "1:2.11+dfsg-1ubuntu7.34",
            "qemu-system-common": "1:2.11+dfsg-1ubuntu7.34",
            "qemu-system-sparc": "1:2.11+dfsg-1ubuntu7.34",
            "qemu-system-mips": "1:2.11+dfsg-1ubuntu7.34",
            "qemu-user-binfmt": "1:2.11+dfsg-1ubuntu7.34"
        }
    ]
}

Ubuntu:20.04:LTS / qemu

Package

Name
qemu

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1:4.2-3ubuntu6.10

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "qemu-system-misc": "1:4.2-3ubuntu6.10",
            "qemu-system": "1:4.2-3ubuntu6.10",
            "qemu-guest-agent": "1:4.2-3ubuntu6.10",
            "qemu-utils": "1:4.2-3ubuntu6.10",
            "qemu-user": "1:4.2-3ubuntu6.10",
            "qemu-system-x86-microvm": "1:4.2-3ubuntu6.10",
            "qemu-kvm": "1:4.2-3ubuntu6.10",
            "qemu-block-extra": "1:4.2-3ubuntu6.10",
            "qemu-user-static": "1:4.2-3ubuntu6.10",
            "qemu-system-arm": "1:4.2-3ubuntu6.10",
            "qemu-system-x86": "1:4.2-3ubuntu6.10",
            "qemu-system-ppc": "1:4.2-3ubuntu6.10",
            "qemu-system-s390x": "1:4.2-3ubuntu6.10",
            "qemu": "1:4.2-3ubuntu6.10",
            "qemu-system-common": "1:4.2-3ubuntu6.10",
            "qemu-system-x86-xen": "1:4.2-3ubuntu6.10",
            "qemu-system-sparc": "1:4.2-3ubuntu6.10",
            "qemu-system-data": "1:4.2-3ubuntu6.10",
            "qemu-system-gui": "1:4.2-3ubuntu6.10",
            "qemu-system-mips": "1:4.2-3ubuntu6.10",
            "qemu-user-binfmt": "1:4.2-3ubuntu6.10"
        }
    ]
}

Ubuntu:16.04:LTS / qemu

Package

Name
qemu

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1:2.5+dfsg-5ubuntu10.48

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "qemu-system-misc": "1:2.5+dfsg-5ubuntu10.48",
            "qemu-system": "1:2.5+dfsg-5ubuntu10.48",
            "qemu-guest-agent": "1:2.5+dfsg-5ubuntu10.48",
            "qemu-utils": "1:2.5+dfsg-5ubuntu10.48",
            "qemu-user": "1:2.5+dfsg-5ubuntu10.48",
            "qemu-kvm": "1:2.5+dfsg-5ubuntu10.48",
            "qemu-block-extra": "1:2.5+dfsg-5ubuntu10.48",
            "qemu-user-static": "1:2.5+dfsg-5ubuntu10.48",
            "qemu-system-arm": "1:2.5+dfsg-5ubuntu10.48",
            "qemu-system-aarch64": "1:2.5+dfsg-5ubuntu10.48",
            "qemu-system-x86": "1:2.5+dfsg-5ubuntu10.48",
            "qemu-system-ppc": "1:2.5+dfsg-5ubuntu10.48",
            "qemu-system-s390x": "1:2.5+dfsg-5ubuntu10.48",
            "qemu": "1:2.5+dfsg-5ubuntu10.48",
            "qemu-system-common": "1:2.5+dfsg-5ubuntu10.48",
            "qemu-system-sparc": "1:2.5+dfsg-5ubuntu10.48",
            "qemu-system-mips": "1:2.5+dfsg-5ubuntu10.48",
            "qemu-user-binfmt": "1:2.5+dfsg-5ubuntu10.48"
        }
    ]
}